package com.hithomelabs.princeton1.module4;
import java.lang.Iterable;

public abstract class Stack<E> implements Iterable<E>{

    public abstract boolean isEmpty();
    public abstract void push(E element);
    public abstract E pop();
    public abstract int size();
}